/**
 * @file create_mission_XML.h
 * @author Gerrit Pauls (gerrit.pauls@tuhh.de)
 * @brief sets mission steps for create mission XML's standard mission
 * @version 0.1
 * @date 2024-08-30
 * 
 * @copyright Copyright (c) 2024
 * 
 */
#ifndef CREATE_MISSION_XML_SRC_CREATE_MISSION_XML_H_
#define CREATE_MISSION_XML_SRC_CREATE_MISSION_XML_H_

#include <string>
#include <vector>
#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

class mission;
class standardMission;

class create_mission_xml : public Module {
 public:
  create_mission_xml(const int argc, char *argv[], const std::string &toolName, const std::string &toolVersion);
  ~create_mission_xml() = default;

  void initialize() override { missionStrategy_.initializeStrategy(); };
  void run() override { missionStrategy_.runStrategy(); };
  void update() override { missionStrategy_.updateStrategy(); };
  void report() override { missionStrategy_.reportStrategy(); };
  void save() override {
    missionStrategy_.saveStrategy();
    aixml::saveDocument(rtIO_->acxml);
  };

 private:
  std::vector<std::string> route_;
  strategyaccess missionSelection_(const std::vector<std::string> &route);
  StrategySelector missionStrategy_;
};

#endif // CREATE_MISSION_XML_SRC_CREATE_MISSION_XML_H_
