
# Submodule Description {#submodules}

## Submodule Routines {#submodules-routines}
All submodules have a class _IOData_, which contains all data from acXML and functions to read or write the data. Additionally, it has a member _configuration_, which provides access to configuration file data. The submodules are executed via the function `run`, which is called by the `StandardStrategy`. The `run` function shall call functions to initialize the data, perform the calculation routines, and update the `ecological_assessment_results.xml` (in case there are results that are needed by other parts of *ecological_assessment*).

## Submodule Description {#submodules-description}

The following subpages will provide you with an overview of the implemented methodologies. For every submodule, there is a brief description of the method, as well as the required inputs and outputs. To gain deeper insights into the calculation routines, you're encouraged to take a look at the source code and the cited literature.

The following submodules are available:
- @subpage mission-emissions
- @subpage lca-schaefer
- @subpage aqi-schaefer
- @subpage climate-model-dallara

