/**
 * \file dallarareport.cpp
 * \author
 * \brief dallara report implementation (html and tex)
 * \version 0.1
 * \date 2023-05-19
 *
 * @copyright Copyright (c) 2023
 *
 */
#include "../../standard_strategy.h"
#include "../../../toolinfo.h"
#include <vector>

void StandardStrategy::setHtmlBody_AQISchaefer() {
    report_->htmlReportStream()
       << html::h2("Air Quality")
       << "<br>"
       << html::table_begin({"Parameter", "Comment", "Unit", "Value"}, "Air quality index and tolerance factors")
       << html::table_row("AQI", "<font size=\"-1\">Air quality index</font>", "1", Rounding(theAQISchaefer.AQI, 2))
       << html::table_row("Tolerance factor CO", "<font size=\"-1\">Tolerance factor of CO emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_CO, 2))
       << html::table_row("Tolerance factor HC", "<font size=\"-1\">Tolerance factor of HC emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_HC, 2))
       << html::table_row("Tolerance factor NOx", "<font size=\"-1\">Tolerance factor of NOx emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_NOx, 2))
       << html::table_row("Tolerance factor Soot", "<font size=\"-1\">Tolerance factor of soot emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_soot, 2))
       << html::table_end;
}

void StandardStrategy::setTexBody_AQISchaefer(const std::shared_ptr<RuntimeIO> &rtIO) {
       // TODO bei Gelenheit mit Inhalt füllen
}
