/*  Copyright (C) 2012-2022 Institute of Aerospace Systems, RWTH Aachen University - All rights reserved.
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef performance_assessment_SRC_TAW_DEFAULTMETHODS_OPTIMIZEMISSIONPROFILE_ABSTRACTOPTIMIZEMISSIONPROFILE_H_
#define performance_assessment_SRC_TAW_DEFAULTMETHODS_OPTIMIZEMISSIONPROFILE_ABSTRACTOPTIMIZEMISSIONPROFILE_H_

#include <memory>
#include <string>

#include "../performance_assessment_settings.h"
#include "../fuelPlanning/abstractFuelPlanning.h"

class abstractFuelplanning;

class abstractOptimizeMissionProfile {
 public:
    virtual ~abstractOptimizeMissionProfile() { }
    virtual void doOptimizeMission(std::shared_ptr<abstractFuelPlanning>& myFuelPlanning, const std::shared_ptr<RuntimeIO>& rtIO, bool sizingForMTOM) = 0;
};


#endif  // performance_assessment_SRC_TAW_DEFAULTMETHODS_OPTIMIZEMISSIONPROFILE_ABSTRACTOPTIMIZEMISSIONPROFILE_H_
