/**
 * \file sweepAngleMethods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Sweep angle calculation methods
 * \version 0.1
 * \date 2023-12-06
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef SWEEP_ANGLE_METHODS_H_
#define SWEEP_ANGLE_METHODS_H_
#include <iostream>
using modes = std::string;
namespace user_defined {
double sweep_angle_at_quarter_chord(const double user_sweep_angle_at_quarter_chord);
}
namespace drag_divergence {
double sweep_angle_at_quarter_chord(const double mach_design, const double design_altitude,
                                    const double delta_drag_divergence, const double technology_factor_drag_divergence,
                                    const double max_thickness_to_chord_ratio, const double wing_loading);
}

double get_wing_quarter_chord_sweep(modes quarter_chord_sweep_mode, const double user_quarter_chord_sweep,
                                    const double mach_ica, const double wing_loading, const double design_altitude,
                                    const double max_thickness_to_chord_ratio, const double delta_drag_divergence,
                                    const double technology_factor_drag_divergence);

#endif  // SWEEP_ANGLE_METHODS_H_
