/**
 * \file taperRatioMethods.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Taper ratio methods
 * \version 0.1
 * \date 2023-12-06
 *
 * @copyright Copyright (c) 2023
 *
 */
#ifndef TAPER_RATIO_METHODS_H_
#define TAPER_RATIO_METHODS_H_

#include <cmath>
#include <numbers>
#include <string>
using modes = std::string;

namespace user_defined {
double taper_ratio(const double user_taper_ratio);
}
namespace howe {
double taper_ratio(const double aspect_ratio, const double quarter_chord_sweep);
}

double get_design_taper_ratio(modes taper_ratio_mode, const double user_taper_ratio, const double aspect_ratio,
                              const double quarter_chord_sweep);
#endif  // TAPER_RATIO_METHODS_H_