/**
 * \file sparIO.h
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Spar IO
 * \version 0.1
 * \date 2024-01-11
 *
 * @copyright Copyright (c) 2024
 *
 */
#ifndef SPAR_IO_H_
#define SPAR_IO_H_

#include "relativePositionIO.h"

class Spar {
 public:
  Spar() = default;
  Spar(const std::string& origin)
      : position(RelativePosition(origin)), name(Endnode<std::string>(origin + "name", "component spar")) {}
  RelativePosition position;
  Endnode<std::string> name;

  void read(const node& xml) {
    position.read(xml);
    name.read(xml);
  }
};

#endif  // SPAR_IO_H_